
# fontsamples.rc.sh

# Environment variables for scripts
# Include this with command ". ./fontsamples.rc.sh" (without quotes)

# Author:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv
# juhtolv (at) iki (dot) fi

# This script is public domain. There is no warranty.


#############################################################################
# Some (l)user-serviceable environment variables
#############################################################################

WORKDIR="${HOME}/seka/japani/fontsamples/08_waitprocess"
export WORKDIR

####################################################
# kapsi.fi
#WWWHOME="${HOME}/public_html"
WWWHOME="${HOME}/www"
export WWWHOME
WWWDIR="${WWWHOME}/japanese/fontsamples"
export WWWDIR

####################################################
# elisanet.fi
WWWHOMETWO="${HOME}/www2"
export WWWHOME
WWWDIRTWO="${WWWHOMETWO}/japanese/fontsamples"
export WWWDIRTWO

#WWW_INDEX_FILE="index.php"
#WWW_INDEX_FILE="index.cgi"
#WWW_INDEX_FILE="index.htm"
WWW_INDEX_FILE="index.html"
export WWW_INDEX_FILE


SEVENZIPZERO=""
export SEVENZIPZERO
SEVENZIPOPTSONE="-t7z -m0=lzma -mx=9 -mfb=64 -md=32m -ms=on"
export SEVENZIPONE
## TOO HEAVY FOR SOME STUFF:
SEVENZIPOPTSTWO="-t7z -m0=lzma -mx=9 -mfb=64 -md=64m -ms=on"
export SEVENZIPOPTSTWO

# Let’s find some compression software:

# AFAIK star is faster and better than GNU tar
# ftp://ftp.berlios.de/pub/star/
if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
    TAR_BIN='star'
    echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN='gtar'
    echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN='tar'
    echo "Cool... You have GNU tar, not just plain tar"
else
    TAR_BIN='tar'
fi

export TAR_BIN

# We try to find as light version of 7zip as possible
if type 7zr  > /dev/null 2>&1
then
    SEVENZIP_BIN="7zr"
elif type 7za  > /dev/null 2>&1
then
    SEVENZIP_BIN="7za"
elif type 7z  > /dev/null 2>&1
then
    SEVENZIP_BIN="7z"
fi

export SEVENZIP_BIN



# This script is public domain. There is no warranty.

########################################################################
### REMOVE THESE LINES:
echo "YOU ARE IDIOT, WHO BLINDLY RUNS SCRIPTS WITHOUT CHECKING AND" >&2
echo "CONFIGURING THEM FIRST!" >&2
echo "EDIT fontsamples.rc.sh IMMEDIATELY!" >&2
echo "Exiting..." >&2
exit 1


