#!/bin/dash

# Author:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv
# juhtolv (at) iki (dot) fi

# this script is public domain
# there is no warranty

if . ./fontsamples.rc.sh
then
    :
else
    echo "./fontsamples.rc.sh could not be read" 
    exit 1
fi

cd ${WORKDIR} || exit 1
./purgedocs.sh
rm -rfv du_files/ index/ pdf/ pdf-tmp/ tex/ tex-tmp/ progress/ \
    mydate.txt *starttime.txt *endtime.txt pdfpages.txt overfull.txt overfull_list.txt \
    unicode_kanjis_tmp.txt Unihan.zip \
    Unihan_DictionaryIndices.txt Unihan_IRGSources.txt Unihan_OtherMappings.txt Unihan_Readings.txt \
    Unihan_DictionaryLikeData.txt Unihan_NumericValues.txt Unihan_RadicalStrokeCounts.txt Unihan_Variants.txt \
    *~
